<?php
if(!isset($_SESSION)) {  session_start(); }
include("DMMYSQLG.php");
include ("varfun.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	////////////////////////////////////////////////////////////////////SENTENCIA DE REGISTRO/////////////////////////////////
	if($_POST['fnumctos'] <= 0){// 1
		echo alert_JS ("ˇˇˇFECHA DE SALIDA INVALIDA!!!");
		return false;
	}
	/////////////////////////////////////////////////////////////////////////////////////SENTENCIA DE DATOS/////////////////
	if($_POST['fnombre'] == "" ){ // 13
		echo alert_JS ("ˇˇˇCOMPLETE EL NOMBRE!!!");
		return false;
	
	}if($_POST['fapellido'] == "" ){ // 14
		echo alert_JS ("ˇˇˇCOMPLETE EL APELLIDO!!!");
		return false;
	}
	if(empty($_POST['fcodmeca'])){ // 14
		echo alert_JS ("ˇˇˇCOMPLETE EL TIPO DE MERCADO!!!");
		return false;
	}
	if(empty($_POST['codseg'])){ // 14
		echo alert_JS ("ˇˇˇCOMPLETE EL TIPO DE SEGMENTO!!!");
		return false;
	}
	if(isset($_POST['fnumcto'])){
		$usu=mysqli_real_escape_string($con,$_POST['fnumcto']);
  		$dt_user=mysqli_fetch_array(mysqli_query($con ,"SELECT   count(*) as numRows, ncto FROM valeryus08 WHERE ncto='$usu' "));
  echo mysqli_error($con);
  
  		if($dt_user['numRows']==0){
		  		echo alert_JS("ˇˇˇˇLA HABITACION SELECCIONADA NO EXISTE!!!!");
				return false;
				
	 }
	 $fec = $_POST['ffecllegada'];
		include('DF20000.php');
		$fecha_inicial = $f_m;
		$fec = $_POST['ffecsalida'];
		include('DF20000.php');
		$fecha_final = $f_m;
		$usu=mysqli_real_escape_string($con,$_POST['fnumcto']);
  		
		$dt_user=mysqli_fetch_array(mysqli_query($con ,"SELECT  count(*) as numRows, fnumcto FROM valeryus19 WHERE fnumcto='$usu' AND (status='HUESPED' or status='MISCELANEOS')"));
        $xox=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM valeryus19 WHERE fnumcto='$usu' AND (status='HUESPED' or status='MISCELANEOS')"));
		echo mysqli_error($con);
  
  		if($dt_user['numRows']!=0){
		  		echo alert_JS("ˇˇˇˇLA HABITACION ESTA OCUPADA POR: ".$xox['fapellido']." ".$xox['fnombre']." !!!!");
				return false;
				}
	 
	 else{
	include('DF20000.php');
	include('rec_miscelaneos_CL.php');
	$varible_clase = new clase();
	$varible_clase->fcodtarifa=strtoupper(isset($_POST["fcodtarifa"]))?$_POST["fcodtarifa"]:"";
	$varible_clase->fnumres=strtoupper(isset($_POST["fnumres"]))?$_POST["fnumres"]:"";
	$varible_clase->fnumcto=strtoupper($_POST["fnumcto"]);
	$varible_clase->fnumctos=strtoupper($_POST["fnumctos"]);
	$varible_clase->fnumadu=strtoupper(isset($_POST["fnumadu"]))?$_POST["fnumadu"]:"";
	$varible_clase->fnummenor=strtoupper(isset($_POST["fnummenor"]))?$_POST["fnummenor"]:"";
	$varible_clase->status=strtoupper("MISCELANEOS");
	$varible_clase->estact=strtoupper(isset($_POST["select2"]))?$_POST["select2"]:"";
	$varible_clase->ftipocto=strtoupper($_POST["ftipocto"]);
	$varible_clase->tus=strtoupper(isset($_POST["select3"]))?$_POST["select3"]:"";
	$fec = $_POST['ffecsalida'];
	include('DF20000.php');
	$varible_clase->ffecsalida = $f_m;
	//datos
	$varible_clase->fcodgrupo=strtoupper($_POST["fcodgrupo"]);
	$varible_clase->fcodagen=strtoupper($_POST["fcodagen"]);
	$varible_clase->fcodmeca=strtoupper($_POST["fcodmeca"]);
	$varible_clase->fplan=strtoupper("EXTRAS");
	$varible_clase->folio=strtoupper("RENTAS");
	$varible_clase->smerf=strtoupper($_POST["smerf"]);
	$varible_clase->fnorasvip=strtoupper($_POST["fnorasvip"]);
	$varible_clase->fhorallega=strtoupper($_POST["fhorallega"]);
	$varible_clase->codseg=strtoupper($_POST["codseg"]);
	$varible_clase->tex=strtoupper(isset($_POST["tex"]))?$_POST["tex"]:"";
	$varible_clase->tex2=strtoupper(isset($_POST["tex2"]))?$_POST["tex2"]:"";
	$varible_clase->tex3=strtoupper(isset($_POST["tex3"]))?$_POST["tex3"]:"";
	$varible_clase->tex4=strtoupper(isset($_POST["tex4"]))?$_POST["tex4"]:"";
	$varible_clase->tex5=strtoupper(isset($_POST["tex5"]))?$_POST["tex5"]:"";
	$varible_clase->tex6=strtoupper(isset($_POST["tex6"]))?$_POST["tex6"]:"";
	$varible_clase->text1=strtoupper(isset($_POST["text1"]))?$_POST["text1"]:"";
	$varible_clase->text2=strtoupper(isset($_POST["text2"]))?$_POST["text2"]:"";
	$varible_clase->text3=strtoupper(isset($_POST["text3"]))?$_POST["text3"]:"";
	$varible_clase->text4=strtoupper(isset($_POST["text4"]))?$_POST["text4"]:"";
	$varible_clase->text5=strtoupper(isset($_POST["text5"]))?$_POST["text5"]:"";
	$varible_clase->text6=strtoupper(isset($_POST["text6"]))?$_POST["text6"]:"";
	$varible_clase->ftotal=strtoupper(isset($_POST["ftotal"]))?$_POST["ftotal"]:"";
	//forma de pago
	$varible_clase->fformpago=strtoupper($_POST["fformpago"]);
	$varible_clase->fnumtar=strtoupper($_POST["fnumtar"]);
	$varible_clase->fsaldo=strtoupper(isset($_POST["fsaldo"]))?$_POST["fsaldo"]:"";
	$varible_clase->flimite=strtoupper($_POST["flimite"]);
	$varible_clase->fcodseg=strtoupper($_POST["fcodseg"]);
	$varible_clase->fdeposito=strtoupper(isset($_POST["fdeposito"]))?$_POST["fdeposito"]:"";;
 	//direccion
	$varible_clase->fnombre=strtoupper($_POST["fnombre"]);
	$varible_clase->fapellido=strtoupper($_POST["fapellido"]);
	$varible_clase->flengua=strtoupper(isset($_POST["flengua"]))?$_POST["flengua"]:"";;
	$varible_clase->fempresa=strtoupper($_POST["fempresa"]);
	$varible_clase->ftelefono=strtoupper($_POST["ftelefono"]);
	$varible_clase->fvip=strtoupper(isset($_POST["fvip"]))?$_POST["fvip"]:"";
	$varible_clase->femail=$_POST["femail"];
	$varible_clase->fmail=$_POST["fmail"];
	$varible_clase->fdireccion=strtoupper($_POST["fdireccion"]);
	$varible_clase->fgntd=strtoupper("CENTRO");
	$varible_clase->fcp=strtoupper("62000");
	$varible_clase->fpais=strtoupper("MEXICO");
	$varible_clase->festado=strtoupper("MORELOS");
	$varible_clase->fciudad=strtoupper("CUERNAVACA");
	$varible_clase->fvehiculo=strtoupper(isset($_POST["fvehiculo"]))?$_POST["fvehiculo"]:"";
	$varible_clase->fplacas=strtoupper(isset($_POST["fplacas"]))?$_POST["fplacas"]:"";
	$varible_clase->ftiphuesped=strtoupper("CORTESIA");
	$varible_clase->ftelemp=$_POST["ftelemp"];
	//Extras
	$varible_clase->fnumadulx=strtoupper(isset($_POST["fnumadulx"]))?$_POST["fnumadulx"]:"";
	$varible_clase->fnummenorx=strtoupper(isset($_POST["fnummenorx"]))?$_POST["fnummenorx"]:"";
	$varible_clase->ftarifaxa=strtoupper(isset($_POST["ftarifaxa"]))?$_POST["ftarifaxa"]:"";
	$varible_clase->ftarifaxm=strtoupper(isset($_POST["ftarifaxm"]))?$_POST["ftarifaxm"]:"";
	$varible_clase->fmonadu=strtoupper(isset($_POST["fmonadu"]))?$_POST["fmonadu"]:"";
	$varible_clase->fmonmen=strtoupper(isset($_POST["fmonmen"]))?$_POST["fmonmen"]:"";
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>!!! EL REGISTRO YA EXISTE... ACTUALIZANDO !!!</h2>';
		echo '<meta content="1; url=rec_miscelaneos_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		//$ultimo_id = mysqli_insert_id($con); 
		//if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
        	//if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/valeryus19/NO_'.$ultimo_id . '.JPG')){
        	//}
    	//} 	
		echo '<h2>!!! SE AGREGO EL REGISTRO... '.$_POST['fnombre'].' ACTUALIZANDO !!!</h2>';
		echo '<meta content="2; url=rec_miscelaneos_PR.php" HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>!!! NO SE HA PODIDO AGREGAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
		echo $res;
		echo '<meta content="2; url=rec_miscelaneos_PR.php" HTTP-EQUIV="REFRESH">';
	}   
	} 
	}	
?>
</body>
</html>